Skip to content

ActivityChronicleSummary

Object

Summary information for activity chronicles across a time range. Includes total count and counts by buckets.

Fields

FieldTypeDescription
totalInt!

The total number of activity chronicles within the time range.

startedCountInt!

The number of activity chronicles which started in the time range.

endedCountInt!

The number of activity chronicles which ended in the time range.

summaryStatisticsActivityChronicleSummaryStatistics!

Summary statistics for all activity chronicles within the summary’s time range and filters.

buckets[ActivityChronicleSummaryBucket!]

A detailed summary of each bucket within the time range. Summary buckets are only returned if activityChronicleBucket is provided as a query parameter to activityChronicleSummary.

highestTotalBuckets[ActivityChronicleHighestTotalBucket!]!

The bucket(s) with the greatest total across the parent’s buckets. Empty if no activityChronicleBucket was provided. All tied buckets are returned per group.

Arguments
NameTypeDescription
groupByActivityChronicleSummaryBucketType

Dimensions to keep distinct when finding the max. Must align with the query’s activityChronicleBucket: groupBy.fields must be a subset of activityChronicleBucket.fields, and groupBy.size must equal activityChronicleBucket.size if set. If null, returns the single bucket with the greatest total across all buckets (plus any ties).

metadataKeys[String!]

The distinct top-level keys found in the metadata field across all matching activity chronicles. Useful for discovering available metadata keys that can be used for metadata bucketing.